package com.pms.ocp.common.utils;

/**
 * 重合度算法
 *
 * @author Administrator
 */
public class SimilarityRatio {
    private static int compare(String string, String target) {
        // 矩阵
        int d[][];
        int n = string.length();
        int m = target.length();
        // 遍历string和target
        int i, j;
        // string和target
        char ch1, ch2;
        int temp;
        if (n == 0) {
            return m;
        }
        if (m == 0) {
            return n;
        }
        d = new int[n + 1][m + 1];
        // 初始化第一列
        for (i = 0; i <= n; i++) {
            d[i][0] = i;
        }
        // 初始化第一行
        for (j = 0; j <= m; j++) {
            d[0][j] = j;
        }

        for (i = 1; i <= n; i++) {
            ch1 = string.charAt(i - 1);
            for (j = 1; j <= m; j++) {
                ch2 = target.charAt(j - 1);
                if (ch1 == ch2 || ch1 == ch2 + 32 || ch1 + 32 == ch2) {
                    temp = 0;
                } else {
                    temp = 1;
                }
                d[i][j] = min(d[i - 1][j] + 1, d[i][j - 1] + 1, d[i - 1][j - 1] + temp);
            }
        }
        return d[n][m];
    }

    private static int min(int one, int two, int three) {
        return (one = one < two ? one : two) < three ? one : three;
    }

    public static float getSimilarityRatio(String string, String target) {
        int max = Math.max(string.length(), target.length());
        return 1 - (float) compare(string, target) / max;
    }

//    public static void main(String[] args) {
//        String a1 = "123456";
//        String a2 = "kijfoi";
//        String a3 = "oijgbv";
//
//        String t1 = a1 + a2;
//        String t2 = a1 + a3;
//        System.out.println(getSimilarityRatio(t1, t2));
//    }

}
