package com.pms.ocp.controller;


import com.pms.ocp.model.dto.ApiRequirementDto;
import com.pms.ocp.model.entity.OcpApiRequirement;
import com.pms.ocp.model.entity.OcpApiRequirementAccept;
import com.pms.ocp.model.entity.OcpApiRequirementApproval;
import com.pms.ocp.model.vo.ResponseVO;
import com.pms.ocp.service.OcpApiRequirementApprovalService;
import com.pms.ocp.service.OcpApiRequirementService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.StringUtils;
import org.springframework.web.bind.annotation.*;


/**
 * @author zhaochengming
 */

@Slf4j
@RequestMapping("/api/v1/requirement")
@RestController
@Api(tags = "服务需求审批")
public class OcpApiRequirementApprovalController {




    @Autowired
    private OcpApiRequirementApprovalService ocpApiRequirementApprovalService;

    @Autowired
    private OcpApiRequirementService ocpApiRequirementService;


    /**@author:zhaochengming
     * 查询
     * @param apiCode 唯一主键
     * @return
     */
    @ApiOperation("服务需求审批 --回显")
    @GetMapping("/approval")
    public ResponseVO getApproval(String apiCode){
        if (StringUtils.isEmpty(apiCode)){
            return ResponseVO.error("请选择审批服务");
        }
        ApiRequirementDto ocpApiRequirement =  ocpApiRequirementService.getSelects(apiCode);
        return ResponseVO.ok(ocpApiRequirement);
    }

    /**@author:zhaochengming
     * 查询
     * @param
     */

    @ApiOperation("服务需求审批--审核")
    @PostMapping("/approval-inseter")
    public ResponseVO inseterApproval(@RequestBody OcpApiRequirementApproval ocpApiRequirementApproval){
        if (StringUtils.isEmpty(ocpApiRequirementApproval)){
            return ResponseVO.error("带*的参数不能为空！");
        }
        ocpApiRequirementApprovalService.inseterObj(ocpApiRequirementApproval);

        return ResponseVO.ok();
    }

    @ApiOperation("服务需求审批-- 拓展图")
    @GetMapping("/approval-photo")
    public ResponseVO selectPhoto(String  apiCode){
       return ocpApiRequirementApprovalService.selectPhotos(apiCode);
    }


    @ApiOperation("验收列表--提交验收")
    @PostMapping("/approval-groupsObj")
    public ResponseVO inseterGroupsObj(@RequestBody OcpApiRequirementAccept ocpApiRequirementAccept){
        return ocpApiRequirementApprovalService.inseterGroupObj(ocpApiRequirementAccept);
    }


}
