package com.pms.ocp.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.pms.ocp.model.entity.OcpApiRequirementAccept;
import com.pms.ocp.model.entity.OcpApiRequirementApproval;
import com.pms.ocp.model.vo.ApiAndModelVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author Administrator
 */
@Mapper
public interface AcceptInfoMapper extends BaseMapper<OcpApiRequirementAccept> {

    /**
     * 得到所有除本条服务数据外的所有服务数据，其结构已经封装
     *
     * @return
     */
    List<ApiAndModelVO> getAllApiAndModel();

    /**
     * 将计算得到的重合度刷新到数据库中，模型重合度
     *
     * @param ratio
     * @param apiCode
     */
    void updateRatioByApiCode(@Param("ratio") float ratio, @Param("apiCode") String apiCode);

    /**
     * 所有的重合度已经计算完毕，封装所有数据信息，供前端使用
     *
     * @return
     */
    List<ApiAndModelVO> getFinalRatio();

    /**
     * 将即将要比对的本条服删除状态置为1，表示删除状态
     *
     * @param apiCode
     */
    void updateDel(@Param("apiCode") String apiCode);

    /**
     * 将即将要比对的本条服务数据信息组合封装
     *
     * @param apiCode
     * @return
     */
    ApiAndModelVO getRatioByApiCode(@Param("apiCode") String apiCode);

    /**
     * 将计算得到的重合度刷新到数据库中，字段重合度
     *
     * @param ratio2
     * @param apiCode
     */
    void updateRatioParamByApiCode(@Param("ratio2") float ratio2, @Param("apiCode") String apiCode);

    /**
     * 将之前删除状态置为1的服务数据的删除状态回滚为0
     *
     * @param apiCode
     */
    void returnDel(@Param("apiCode") String apiCode);

    /**
     * 查询当前服务是否已经存入到数据库中
     *
     * @param apiCode
     * @return
     */
    int getNowApiCode(String apiCode);

    /**
     * 审核人信息列表
     *
     * @param requirementCode
     * @return
     */
    List<OcpApiRequirementApproval> getAcceptPeopleInfo(String requirementCode);
}
