package com.pms.ocp.model.dto;


import com.pms.ocp.model.entity.Model;
import com.pms.ocp.model.entity.OcpApiParam;
import com.pms.ocp.model.entity.OcpApiRequirement;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.NoArgsConstructor;
import java.io.Serializable;
import java.util.List;


@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value = "服务审查回显封装类")
public class ApiRequirementDto extends OcpApiRequirement implements Serializable {


    @ApiModelProperty("出参")
    private List<OcpApiParam> outList;

    @ApiModelProperty("出参")
    private  List<OcpApiParam> inList;

    @ApiModelProperty("影响模型")
    private List<Model> apiModelNames;

    @ApiModelProperty("影响模型描述")
    private List<String> ModelDescription;

    @ApiModelProperty("影响应用")
    private  List<String> apiTenantGroupNames;

    @ApiModelProperty("影响应用描述")
    private  List<String> tenantDescription;



    public void setApiModelNames(List<Model> apiModelNames) {
        this.apiModelNames = apiModelNames;
    }

    public List<String> getModelDescription() {
        return ModelDescription;
    }

    public void setModelDescription(List<String> modelDescription) {
        ModelDescription = modelDescription;
    }

    public List<String> getTenantDescription() {
        return tenantDescription;
    }

    public void setTenantDescription(List<String> tenantDescription) {
        this.tenantDescription = tenantDescription;
    }

    public List<OcpApiParam> getOutList() {
        return outList;
    }

    public void setOutList(List<OcpApiParam> outList) {
        this.outList = outList;
    }

    public List<OcpApiParam> getInList() {
        return inList;
    }

    public void setInList(List<OcpApiParam> inList) {
        this.inList = inList;
    }

    public List<Model> getApiModelNames() {
        return apiModelNames;
    }

    public List<String> getApiTenantGroupNames() {
        return apiTenantGroupNames;
    }

    public void setApiTenantGroupNames(List<String> apiTenantGroupNames) {
        this.apiTenantGroupNames = apiTenantGroupNames;
    }


}
