package com.pms.ocp.model.dto;

import com.pms.ocp.model.entity.ApiParam;
import com.pms.ocp.model.entity.OcpApiParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.List;

@Data
@ApiModel(value = "服务需求表dto")
@AllArgsConstructor
@NoArgsConstructor
public class OcpApiRequirementDto implements Serializable {
    @ApiModelProperty("主键ID")
    private String objId;

    @ApiModelProperty("需求编码")
    private String requirementCode;

    @ApiModelProperty("需求类型0:新增，1:迭代，2下线")
    private Long requirementType;

    @ApiModelProperty("需求简述")
    private String requirementComments;

    @ApiModelProperty("服务编码")
    private String apiCode;


    @ApiModelProperty("服务名称")
    private String apiName;

    @ApiModelProperty("服务分类代码")
    private String apiGroupCode;

    @ApiModelProperty("服务地址")
    private String apiUrl;

    @ApiModelProperty("服务版本号")
    private String apiVersion;

    @ApiModelProperty("需求填报人id")
    private String requirementUserId;

    @ApiModelProperty("需求填报人姓名")
    private String requirementUserName;

    @ApiModelProperty("需求创建时间")
    private Timestamp requirementCtime;

    @ApiModelProperty("需求修改时间")
    private Timestamp requirementMtime;

    @ApiModelProperty("是否删除0：否 1：是")
    private Long isDelete;

    @ApiModelProperty("所属区域1:生成控制大区 2：信息关联大区3：互联网大区")
    private Long apiZone;

    @ApiModelProperty("所属层级1: 应用层 2：平台层、3：网络层 4：感知层")
    private Long apiLayer;

    @ApiModelProperty("建设单位")
    private String apiUnit;

    @ApiModelProperty("服务所属公司")
    private String ownerCompanyCode;

    @ApiModelProperty("推广类型0:统建 1:自建")
    private Long apiPromotion;

    @ApiModelProperty("服务请求体    ")
    private String apiReq;

    @ApiModelProperty("服务返回体")
    private String apiResp;

    @ApiModelProperty("需求填报人部门")
    private String requirementUserDepg;

    @ApiModelProperty(value = "添加状态1，2，3，4，5")
    private String addStatus;
    @ApiModelProperty(value = "模型code字符串")
    private String [] modelCodes;
    @ApiModelProperty(value = "应用编码字符串")
    private String[] tenantCodes;

    @ApiModelProperty(value = "表字段集合")
    List<ApiParam> apiParamList;

    @ApiModelProperty(value = "模型表字段集合")
    private List<OcpApiParam> ocpApiParamList;

    @ApiModelProperty(value = "模型表请求字段集合")
    private List<ApiParam> reqList;
    @ApiModelProperty(value = "模型表返回字段集合")
    private List<ApiParam> respList;
    /**
     * 集群名称
     */
    @ApiModelProperty("集群名称")
    private String clusterName;

    /**
     * 命名空间
     */
    @ApiModelProperty("命名空间")
    private String spaceName;

    @ApiModelProperty("推广类型0统推，1自建")
    private long apiGroupPromotionType;

    @ApiModelProperty("服务应用描述")
    private String apiTenantDescription;

    public String getAddStatus() {
        return addStatus;
    }

    public void setAddStatus(String addStatus) {
        this.addStatus = addStatus;
    }

    public String[] getModelCodes() {
        return modelCodes;
    }

    public void setModelCodes(String[] modelCodes) {
        this.modelCodes = modelCodes;
    }
//    public String getModelCodes() {
//        return modelCodes;
//    }
//
//    public void setModelCodes(String modelCodes) {
//        this.modelCodes = modelCodes;
//    }

//    public String getTenantCodes() {
//        return tenantCodes;
//    }
//
//    public void setTenantCodes(String tenantCodes) {
//        this.tenantCodes = tenantCodes;
//    }

    public String[] getTenantCodes() {
        return tenantCodes;
    }

    public void setTenantCodes(String[] tenantCodes) {
        this.tenantCodes = tenantCodes;
    }

//    public List<ApiParam> getParamList() {
//        return paramList;
//    }
//
//    public void setParamList(List<ApiParam> paramList) {
//        this.paramList = paramList;
//    }
//
//    public List<OcpApiParam> getOcpApiParamList() {
//        return ocpApiParamList;
//    }

    public String getClusterName() {
        return clusterName;
    }

    public void setClusterName(String clusterName) {
        this.clusterName = clusterName;
    }

    public String getSpaceName() {
        return spaceName;
    }

    public void setSpaceName(String spaceName) {
        this.spaceName = spaceName;
    }

    public void setOcpApiParamList(List<OcpApiParam> ocpApiParamList) {
        this.ocpApiParamList = ocpApiParamList;


    }

    public long getApiGroupPromotionType() {
        return apiGroupPromotionType;
    }

    public void setApiGroupPromotionType(long apiGroupPromotionType) {
        this.apiGroupPromotionType = apiGroupPromotionType;
    }


    public List<ApiParam> getApiParamList() {
        return apiParamList;
    }

    public void setApiParamList(List<ApiParam> apiParamList) {
        this.apiParamList = apiParamList;
    }

    public List<OcpApiParam> getOcpApiParamList() {
        return ocpApiParamList;
    }

    public String getApiTenantDescription() {
        return apiTenantDescription;
    }

    public void setApiTenantDescription(String apiTenantDescription) {
        this.apiTenantDescription = apiTenantDescription;
    }


    public String getObjId() {
        return objId;
    }

    public void setObjId(String objId) {
        this.objId = objId;
    }

    public String getRequirementCode() {
        return requirementCode;
    }

    public void setRequirementCode(String requirementCode) {
        this.requirementCode = requirementCode;
    }

    public Long getRequirementType() {
        return requirementType;
    }

    public void setRequirementType(Long requirementType) {
        this.requirementType = requirementType;
    }

    public String getRequirementComments() {
        return requirementComments;
    }

    public void setRequirementComments(String requirementComments) {
        this.requirementComments = requirementComments;
    }

    public String getApiCode() {
        return apiCode;
    }

    public void setApiCode(String apiCode) {
        this.apiCode = apiCode;
    }

    public String getApiName() {
        return apiName;
    }

    public void setApiName(String apiName) {
        this.apiName = apiName;
    }

    public String getApiGroupCode() {
        return apiGroupCode;
    }

    public void setApiGroupCode(String apiGroupCode) {
        this.apiGroupCode = apiGroupCode;
    }

    public String getApiUrl() {
        return apiUrl;
    }

    public void setApiUrl(String apiUrl) {
        this.apiUrl = apiUrl;
    }

    public String getApiVersion() {
        return apiVersion;
    }

    public void setApiVersion(String apiVersion) {
        this.apiVersion = apiVersion;
    }

    public String getRequirementUserId() {
        return requirementUserId;
    }

    public void setRequirementUserId(String requirementUserId) {
        this.requirementUserId = requirementUserId;
    }

    public String getRequirementUserName() {
        return requirementUserName;
    }

    public void setRequirementUserName(String requirementUserName) {
        this.requirementUserName = requirementUserName;
    }

    public Timestamp getRequirementCtime() {
        return requirementCtime;
    }

    public void setRequirementCtime(Timestamp requirementCtime) {
        this.requirementCtime = requirementCtime;
    }

    public Timestamp getRequirementMtime() {
        return requirementMtime;
    }

    public void setRequirementMtime(Timestamp requirementMtime) {
        this.requirementMtime = requirementMtime;
    }

    public Long getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(Long isDelete) {
        this.isDelete = isDelete;
    }

    public Long getApiZone() {
        return apiZone;
    }

    public void setApiZone(Long apiZone) {
        this.apiZone = apiZone;
    }

    public Long getApiLayer() {
        return apiLayer;
    }

    public void setApiLayer(Long apiLayer) {
        this.apiLayer = apiLayer;
    }

    public String getApiUnit() {
        return apiUnit;
    }

    public void setApiUnit(String apiUnit) {
        this.apiUnit = apiUnit;
    }

    public String getOwnerCompanyCode() {
        return ownerCompanyCode;
    }

    public void setOwnerCompanyCode(String ownerCompanyCode) {
        this.ownerCompanyCode = ownerCompanyCode;
    }

    public Long getApiPromotion() {
        return apiPromotion;
    }

    public void setApiPromotion(Long apiPromotion) {
        this.apiPromotion = apiPromotion;
    }

    public String getApiReq() {
        return apiReq;
    }

    public void setApiReq(String apiReq) {
        this.apiReq = apiReq;
    }

    public String getApiResp() {
        return apiResp;
    }

    public void setApiResp(String apiResp) {
        this.apiResp = apiResp;
    }

    public String getRequirementUserDepg() {
        return requirementUserDepg;
    }

    public void setRequirementUserDepg(String requirementUserDepg) {
        this.requirementUserDepg = requirementUserDepg;
    }

    public List<ApiParam> getReqList() {
        return reqList;
    }

    public void setReqList(List<ApiParam> reqList) {
        this.reqList = reqList;
    }

    public List<ApiParam> getRespList() {
        return respList;
    }

    public void setRespList(List<ApiParam> respList) {
        this.respList = respList;
    }
}

