package com.pms.ocp.model.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@TableName("t_public_manage_api_model")
public class ApiParam {
    private static final long serialVersionUID = 1L;
    @TableId(value = "obj_id", type = IdType.ASSIGN_ID)
    @ApiModelProperty("主键ID")
    private String objId;

    @TableField("model_id")
    @ApiModelProperty("服务编码")//apiCode
    private String apiCode;

    @ApiModelProperty("服务名称")//apiName
    @TableField("model_name")
    private String apiName;//名称

    @ApiModelProperty("参数类型")
    private String prop;//参数类型 0,入参，1出参

    @ApiModelProperty("字段类型")

    private String propType;//类型

    @ApiModelProperty("长度")

    private String example;//长度

    @ApiModelProperty("描述说明")

    private String description;//说明
    @ApiModelProperty("是否必填")

    private String requireds;//0是，1否
    @ApiModelProperty("类型是否json")

    private String isJson;//0是，1否
    @ApiModelProperty("")
//    @Column(name = "GLDX", caption = "")
    private String gldx;
    @ApiModelProperty("层级")
//    @Column(name = "LVL", caption = "层级")
    private int lvl = 0;//层级
    @ApiModelProperty("父级ID")
//    @Column(name = "PID", caption = "父级ID")
    private String pid;//父级id
    @ApiModelProperty("示例")
//    @Column(name = "OTHER", caption = "示例")
    private String other;//示例

    @ApiModelProperty("排序")
    private int modelOrder;//排序

    @ApiModelProperty("请求类型")
    private int reqType = 2;

    @TableField(exist = false)
    @ApiModelProperty(value = "出参子类集合")
    private List<ApiParam> onChildrenList;

    @TableField(exist = false)
    @ApiModelProperty(value = "入参子类集合")
    private List<ApiParam> inChildrenList;

    @TableField(exist = false)
    @ApiModelProperty(value = "出参子类集合")
    private List<ApiParam> childrenList;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getObjId() {
        return objId;
    }

    public void setObjId(String objId) {
        this.objId = objId;
    }

    public String getApiCode() {
        return apiCode;
    }

    public void setApiCode(String apiCode) {
        this.apiCode = apiCode;
    }

    public String getApiName() {
        return apiName;
    }

    public void setApiName(String apiName) {
        this.apiName = apiName;
    }

    public String getProp() {
        return prop;
    }

    public void setProp(String prop) {
        this.prop = prop;
    }

    public String getPropType() {
        return propType;
    }

    public void setPropType(String propType) {
        this.propType = propType;
    }

    public String getExample() {
        return example;
    }

    public void setExample(String example) {
        this.example = example;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getRequireds() {
        return requireds;
    }

    public void setRequireds(String requireds) {
        this.requireds = requireds;
    }

    public String getIsJson() {
        return isJson;
    }

    public void setIsJson(String isJson) {
        this.isJson = isJson;
    }

    public String getGldx() {
        return gldx;
    }

    public void setGldx(String gldx) {
        this.gldx = gldx;
    }

    public int getLvl() {
        return lvl;
    }

    public void setLvl(int lvl) {
        this.lvl = lvl;
    }

    public String getPid() {
        return pid;
    }

    public void setPid(String pid) {
        this.pid = pid;
    }

    public String getOther() {
        return other;
    }

    public void setOther(String other) {
        this.other = other;
    }

    public int getModelOrder() {
        return modelOrder;
    }

    public void setModelOrder(int modelOrder) {
        this.modelOrder = modelOrder;
    }

    public int getReqType() {
        return reqType;
    }

    public void setReqType(int reqType) {
        this.reqType = reqType;
    }

    public List<ApiParam> getOnChildrenList() {
        return onChildrenList;
    }

    public void setOnChildrenList(List<ApiParam> onChildrenList) {
        this.onChildrenList = onChildrenList;
    }

    public List<ApiParam> getInChildrenList() {
        return inChildrenList;
    }

    public void setInChildrenList(List<ApiParam> inChildrenList) {
        this.inChildrenList = inChildrenList;
    }

    public List<ApiParam> getChildrenList() {
        return childrenList;
    }

    public void setChildrenList(List<ApiParam> childrenList) {
        this.childrenList = childrenList;
    }
}
