package com.pms.ocp.model.vo;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.sql.Timestamp;
import java.util.List;

@Data
@Accessors(chain = true)
@TableName("ocp_api_requirement")
@ApiModel("服务需求表")
public class OcpApiRequirementVo {

    @TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty("主键ID")
    private String objId;

    @ApiModelProperty("上级分类名称")
    private String apiGroupPname;

    @ApiModelProperty("推广类型0统推，1自建")
    private String apiGroupPromotionType;

    @ApiModelProperty("审核层次：0初审1终审")
    private String  approvalAudit;

    @ApiModelProperty("分层树层级 1中台层 2中心层 3 服务组层 4服务层 ")
    private String apiGroupLevel;

    @ApiModelProperty("上级code")
    private String apiGroupPcode;

    @ApiModelProperty("上级code")
    private String apiGroupPCode;

    @ApiModelProperty("分类名称")
    private String apiGroupName;

    @ApiModelProperty("需求编码")
    private String requirementCode;

    @ApiModelProperty("需求类型0:新增，1:迭代，2下线")
    private String requirementType;

    @ApiModelProperty("需求简述")
    private String requirementComments;

    @ApiModelProperty("服务编码")
    private String apiCode;

    @ApiModelProperty("分类所属公司")
    private String apiGroupCompanyCode;

    @ApiModelProperty("服务名称")
    private String apiName;

    @ApiModelProperty("服务分类代码")
    private String apiGroupCode;

    @ApiModelProperty("服务地址")
    private String apiUrl;

    @ApiModelProperty("审批状态0:未审核 1：审核通过 2：审批拒绝")
    private Integer approvalStats;

    @ApiModelProperty("服务版本号")
    private String apiVersion;

    @ApiModelProperty("需求填报人id")
    private String requirementUserId;

    @ApiModelProperty("需求填报人姓名")
    private String requirementUserName;

    @ApiModelProperty("需求创建时间")
    private String requirementCtime;

    @ApiModelProperty("需求修改时间")
    private String requirementMtime;

    @ApiModelProperty("是否删除0：否 1：是")
    private Long isDelete;

    @ApiModelProperty("所属区域1:生成控制大区 2：信息关联大区3：互联网大区")
    private Long apiZone;

    @ApiModelProperty("所属区域 1:生产控制大区;2:信息关联大区;3:互联网大区")
    private Short tenantZone;

    @ApiModelProperty("所属层级1: 应用层 2：平台层、3：网络层 4：感知层")
    private Long apiLayer;

    @ApiModelProperty("建设单位")
    private String apiUnit;

    @ApiModelProperty("服务所属公司")
    private String ownerCompanyCode;

    @ApiModelProperty("推广类型0:统建 1:自建")
    private Integer apiPromotion;

    @ApiModelProperty("服务请求体    ")
    private String apiReq;

    @ApiModelProperty("服务返回体")
    private String apiResp;

    @ApiModelProperty("当前页")
    private Integer currentPage;

    @ApiModelProperty("每页条数")
    private Integer pageSize;

    @ApiModelProperty(value = "查询开始时间")
    private String startCTime;

    @ApiModelProperty(value = "查询结束时间")
    private String endCTime;

    @ApiModelProperty("审核人单位")
    private String approvalCompanyCode;

    @ApiModelProperty("审核人部门")
    private String approvalDepartment;

    @ApiModelProperty("审核人姓名")
    private String approvalUserName;

    @ApiModelProperty("审核时间")
    private String approvalCtime;

    @ApiModelProperty("审核意见")
    private String approvalComment;

    @ApiModelProperty("验收状态0:未验收 1：验收通过 2：验收拒绝")
    private String acceptStats;

    @ApiModelProperty("验收单位")
    private String acceptCompanyCode;

    @ApiModelProperty("验收部门")
    private String acceptDepartment;

    @ApiModelProperty("验收人")
    private String acceptUserId;

    @ApiModelProperty("验收人姓名")
    private String acceptUserName;

    @ApiModelProperty("验收时间")
    private String acceptCtime;

    @ApiModelProperty("最终审批状态0:未审核 1：审核通过 2：审批拒绝")
    private Integer lastApprovalStats;

    private List<String> apiGroupCodeList;

    @ApiModelProperty("服务创建时间")
    private Timestamp apiCtime;

    @ApiModelProperty("服务修改时间")
    private Timestamp apiMtime;

    @ApiModelProperty("创建者用户ID")
    private String apiUserId;

    @ApiModelProperty("创建者姓名")
    private String apiUserName;

    @ApiModelProperty("参数版本")
    private String apiParamVersion;

    @ApiModelProperty("参数分类out出参  in入参 ")
    private String apiParamClassification;

    @ApiModelProperty("参数排序")
    private Integer apiParamOrderNo;

    @ApiModelProperty("参数名称")
    private String apiParamName;

    @ApiModelProperty("参数值")
    private String apiParamValue;

    @ApiModelProperty("是否必须0:不必要 1必要")
    private Integer isRequire;

    @ApiModelProperty("参数类型")
    private String apiParamType;

    @ApiModelProperty("模型名称")
    private String modelName;

    @ApiModelProperty("应用名称")
    private String tenantName;

    @ApiModelProperty("应用代码")
    private String tenantCode;

    @ApiModelProperty("服务调用总次数")
    private Integer apiCallCount;

    @ApiModelProperty("服务调用成功次数")
    private Integer apiCallSuccessCount;

    @ApiModelProperty("服务调用失败次数")
    private String apiCallFailCount;

    @ApiModelProperty("服务平均耗时单位:毫秒")
    private String apiAvgCost;


    public String getObjId() {
        return objId;
    }

    public void setObjId(String objId) {
        this.objId = objId;
    }

    public String getApiGroupPromotionType() {
        return apiGroupPromotionType;
    }

    public void setApiGroupPromotionType(String apiGroupPromotionType) {
        this.apiGroupPromotionType = apiGroupPromotionType;
    }

    public String getApiGroupLevel() {
        return apiGroupLevel;
    }

    public void setApiGroupLevel(String apiGroupLevel) {
        this.apiGroupLevel = apiGroupLevel;
    }

    public String getApiGroupPCode() {
        return apiGroupPCode;
    }

    public void setApiGroupPCode(String apiGroupPCode) {
        this.apiGroupPCode = apiGroupPCode;
    }

    public String getApiGroupName() {
        return apiGroupName;
    }

    public void setApiGroupName(String apiGroupName) {
        this.apiGroupName = apiGroupName;
    }

    public String getRequirementCode() {
        return requirementCode;
    }

    public void setRequirementCode(String requirementCode) {
        this.requirementCode = requirementCode;
    }

    public String getRequirementType() {
        return requirementType;
    }

    public void setRequirementType(String requirementType) {
        this.requirementType = requirementType;
    }

    public String getRequirementComments() {
        return requirementComments;
    }

    public void setRequirementComments(String requirementComments) {
        this.requirementComments = requirementComments;
    }

    public String getApiCode() {
        return apiCode;
    }

    public String getApprovalAudit() {
        return approvalAudit;
    }

    public void setApprovalAudit(String approvalAudit) {
        this.approvalAudit = approvalAudit;
    }

    public void setApiCode(String apiCode) {
        this.apiCode = apiCode;
    }

    public String getApiGroupCompanyCode() {
        return apiGroupCompanyCode;
    }

    public void setApiGroupCompanyCode(String apiGroupCompanyCode) {
        this.apiGroupCompanyCode = apiGroupCompanyCode;
    }

    public String getApiName() {
        return apiName;
    }

    public void setApiName(String apiName) {
        this.apiName = apiName;
    }

    public String getApiGroupCode() {
        return apiGroupCode;
    }

    public void setApiGroupCode(String apiGroupCode) {
        this.apiGroupCode = apiGroupCode;
    }

    public String getApiUrl() {
        return apiUrl;
    }

    public void setApiUrl(String apiUrl) {
        this.apiUrl = apiUrl;
    }

    public Integer getApprovalStats() {
        return approvalStats;
    }

    public void setApprovalStats(Integer approvalStats) {
        this.approvalStats = approvalStats;
    }

    public String getApiVersion() {
        return apiVersion;
    }

    public void setApiVersion(String apiVersion) {
        this.apiVersion = apiVersion;
    }

    public String getRequirementUserId() {
        return requirementUserId;
    }

    public void setRequirementUserId(String requirementUserId) {
        this.requirementUserId = requirementUserId;
    }

    public String getRequirementUserName() {
        return requirementUserName;
    }

    public void setRequirementUserName(String requirementUserName) {
        this.requirementUserName = requirementUserName;
    }

    public String getRequirementCtime() {
        return requirementCtime;
    }

    public void setRequirementCtime(String requirementCtime) {
        this.requirementCtime = requirementCtime;
    }

    public String getRequirementMtime() {
        return requirementMtime;
    }

    public void setRequirementMtime(String requirementMtime) {
        this.requirementMtime = requirementMtime;
    }

    public Long getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(Long isDelete) {
        this.isDelete = isDelete;
    }

    public Long getApiZone() {
        return apiZone;
    }

    public void setApiZone(Long apiZone) {
        this.apiZone = apiZone;
    }

    public Short getTenantZone() {
        return tenantZone;
    }

    public void setTenantZone(Short tenantZone) {
        this.tenantZone = tenantZone;
    }

    public Long getApiLayer() {
        return apiLayer;
    }

    public void setApiLayer(Long apiLayer) {
        this.apiLayer = apiLayer;
    }

    public String getApiUnit() {
        return apiUnit;
    }

    public void setApiUnit(String apiUnit) {
        this.apiUnit = apiUnit;
    }

    public String getOwnerCompanyCode() {
        return ownerCompanyCode;
    }

    public void setOwnerCompanyCode(String ownerCompanyCode) {
        this.ownerCompanyCode = ownerCompanyCode;
    }

    public Integer getApiPromotion() {
        return apiPromotion;
    }

    public void setApiPromotion(Integer apiPromotion) {
        this.apiPromotion = apiPromotion;
    }

    public String getApiReq() {
        return apiReq;
    }

    public void setApiReq(String apiReq) {
        this.apiReq = apiReq;
    }

    public String getApiResp() {
        return apiResp;
    }

    public void setApiResp(String apiResp) {
        this.apiResp = apiResp;
    }

    public Integer getCurrentPage() {
        return currentPage;
    }

    public void setCurrentPage(Integer currentPage) {
        this.currentPage = currentPage;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public String getStartCTime() {
        return startCTime;
    }

    public void setStartCTime(String startCTime) {
        this.startCTime = startCTime;
    }

    public String getEndCTime() {
        return endCTime;
    }

    public void setEndCTime(String endCTime) {
        this.endCTime = endCTime;
    }

    public String getApprovalCompanyCode() {
        return approvalCompanyCode;
    }

    public void setApprovalCompanyCode(String approvalCompanyCode) {
        this.approvalCompanyCode = approvalCompanyCode;
    }

    public String getApprovalDepartment() {
        return approvalDepartment;
    }

    public void setApprovalDepartment(String approvalDepartment) {
        this.approvalDepartment = approvalDepartment;
    }

    public String getApprovalUserName() {
        return approvalUserName;
    }

    public void setApprovalUserName(String approvalUserName) {
        this.approvalUserName = approvalUserName;
    }

    public String getApprovalCtime() {
        return approvalCtime;
    }

    public void setApprovalCtime(String approvalCtime) {
        this.approvalCtime = approvalCtime;
    }

    public String getApprovalComment() {
        return approvalComment;
    }

    public void setApprovalComment(String approvalComment) {
        this.approvalComment = approvalComment;
    }

    public String getAcceptStats() {
        return acceptStats;
    }

    public void setAcceptStats(String acceptStats) {
        this.acceptStats = acceptStats;
    }

    public String getAcceptCompanyCode() {
        return acceptCompanyCode;
    }

    public void setAcceptCompanyCode(String acceptCompanyCode) {
        this.acceptCompanyCode = acceptCompanyCode;
    }

    public String getAcceptDepartment() {
        return acceptDepartment;
    }

    public void setAcceptDepartment(String acceptDepartment) {
        this.acceptDepartment = acceptDepartment;
    }

    public String getAcceptUserId() {
        return acceptUserId;
    }

    public void setAcceptUserId(String acceptUserId) {
        this.acceptUserId = acceptUserId;
    }

    public String getAcceptUserName() {
        return acceptUserName;
    }

    public void setAcceptUserName(String acceptUserName) {
        this.acceptUserName = acceptUserName;
    }

    public String getAcceptCtime() {
        return acceptCtime;
    }

    public void setAcceptCtime(String acceptCtime) {
        this.acceptCtime = acceptCtime;
    }

    public Integer getLastApprovalStats() {
        return lastApprovalStats;
    }

    public void setLastApprovalStats(Integer lastApprovalStats) {
        this.lastApprovalStats = lastApprovalStats;
    }

    public List<String> getApiGroupCodeList() {
        return apiGroupCodeList;
    }

    public void setApiGroupCodeList(List<String> apiGroupCodeList) {
        this.apiGroupCodeList = apiGroupCodeList;
    }

    public Timestamp getApiCtime() {
        return apiCtime;
    }

    public void setApiCtime(Timestamp apiCtime) {
        this.apiCtime = apiCtime;
    }

    public Timestamp getApiMtime() {
        return apiMtime;
    }

    public void setApiMtime(Timestamp apiMtime) {
        this.apiMtime = apiMtime;
    }

    public String getApiUserId() {
        return apiUserId;
    }

    public void setApiUserId(String apiUserId) {
        this.apiUserId = apiUserId;
    }

    public String getApiUserName() {
        return apiUserName;
    }

    public void setApiUserName(String apiUserName) {
        this.apiUserName = apiUserName;
    }

    public String getApiParamVersion() {
        return apiParamVersion;
    }

    public void setApiParamVersion(String apiParamVersion) {
        this.apiParamVersion = apiParamVersion;
    }

    public String getApiParamClassification() {
        return apiParamClassification;
    }

    public void setApiParamClassification(String apiParamClassification) {
        this.apiParamClassification = apiParamClassification;
    }

    public Integer getApiParamOrderNo() {
        return apiParamOrderNo;
    }

    public void setApiParamOrderNo(Integer apiParamOrderNo) {
        this.apiParamOrderNo = apiParamOrderNo;
    }

    public String getApiParamName() {
        return apiParamName;
    }

    public void setApiParamName(String apiParamName) {
        this.apiParamName = apiParamName;
    }

    public String getApiParamValue() {
        return apiParamValue;
    }

    public void setApiParamValue(String apiParamValue) {
        this.apiParamValue = apiParamValue;
    }

    public Integer getIsRequire() {
        return isRequire;
    }

    public void setIsRequire(Integer isRequire) {
        this.isRequire = isRequire;
    }

    public String getApiParamType() {
        return apiParamType;
    }

    public void setApiParamType(String apiParamType) {
        this.apiParamType = apiParamType;
    }

    public String getModelName() {
        return modelName;
    }

    public void setModelName(String modelName) {
        this.modelName = modelName;
    }

    public String getTenantName() {
        return tenantName;
    }

    public void setTenantName(String tenantName) {
        this.tenantName = tenantName;
    }

    public String getTenantCode() {
        return tenantCode;
    }

    public void setTenantCode(String tenantCode) {
        this.tenantCode = tenantCode;
    }

    public Integer getApiCallCount() {
        return apiCallCount;
    }

    public void setApiCallCount(Integer apiCallCount) {
        this.apiCallCount = apiCallCount;
    }

    public Integer getApiCallSuccessCount() {
        return apiCallSuccessCount;
    }

    public void setApiCallSuccessCount(Integer apiCallSuccessCount) {
        this.apiCallSuccessCount = apiCallSuccessCount;
    }

    public String getApiCallFailCount() {
        return apiCallFailCount;
    }

    public void setApiCallFailCount(String apiCallFailCount) {
        this.apiCallFailCount = apiCallFailCount;
    }

    public String getApiAvgCost() {
        return apiAvgCost;
    }

    public void setApiAvgCost(String apiAvgCost) {
        this.apiAvgCost = apiAvgCost;
    }
}
