package com.pms.ocp.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.pms.ocp.model.dto.ApiRequirementDto;
import com.pms.ocp.model.dto.GroupDto;
import com.pms.ocp.model.dto.OcpApiRequirementDto;
import com.pms.ocp.model.dto.TenantApiDto;
import com.pms.ocp.model.entity.*;
import com.pms.ocp.model.vo.ResponseVO;

import java.util.List;
import java.util.Map;

public interface OcpApiRequirementService extends IService<OcpApiRequirement> {

    ResponseVO addDemand(OcpApiRequirementDto ocpApiRequirementDto);

    ResponseVO correlationModel(OcpApiRequirementDto ocpApiRequirementDto);

    ResponseVO correlationTenant(OcpApiRequirementDto ocpApiRequirementDto);


    List<GroupDto> correlationTenantTree(String tenantGroupCompanyCode, String tenantGroupCode);


    /**
     * 审核查询 --回显
     * @param apiCode
     * @return
     */
    ApiRequirementDto getSelects(String apiCode);


    /**
     * 服务下线操作
     * @param objId
     */
    void updateTables(String objId);

    /**
     * 关联表字段
     * @param ocpApiRequirementDto
     * @return
     */
    ResponseVO correlationTableField(OcpApiRequirementDto ocpApiRequirementDto);

    /**
     * 迭代-模型回显
     * @param apiCode
     * @return
     */
    ResponseVO<List<OcpApiModelRel>> echoModel(String apiCode);

    /**
     * 迭代-表字段回显
     * @param apiCode
     * @return
     */
    ResponseVO<Map<String,List<ApiParam>>> echoTableField(String apiCode);

    /**
     * 迭代-应用回显
     * @param apiCode
     * @return
     */
    ResponseVO<List<TenantApiDto>> echoTenant(String apiCode);

    /**
     * 迭代-服务信息填写
     * @param ocpApiRequirementDto
     * @return
     */
    ResponseVO updateDemand(OcpApiRequirementDto ocpApiRequirementDto);



    /**
     * 迭代-模型入参出参回显
     * @param apiCode
     * @return
     */
    ResponseVO<List<OcpApiParam>> echoModelParameter(String apiCode);

    /**
     * 迭代  审核状态
     * @param apiCode
     * @return
     */
    ResponseVO selectAuditStatus(String apiCode);






}
